#!/bin/sh

# Spatially subset national atlas data to MODIS mapset

eval `g.region -g`
ogr2ogr -t_srs "`g.proj -wf`" tmp_us_natlas_cities_modis.shp citiesx020.shp
ogr2ogr -t_srs "`g.proj -wf`" tmp_us_natlas_poppnt_modis.shp pop_pnt.shp
ogr2ogr -t_srs "`g.proj -wf`" tmp_us_natlas_roads_modis.shp roadtrl020.shp
ogr2ogr -t_srs "`g.proj -wf`" tmp_us_natlas_urban_modis.shp urbanap020.shp

ogr2ogr -t_srs "`g.proj -wf`" tmp_us_natlas_hydrogl.shp hydrogl020.shp
ogr2ogr -t_srs "`g.proj -wf`" tmp_us_natlas_hydrogp.shp hydrogp020.shp

ogr2ogr -spat $w $s $e $n us_natlas_cities_modis.shp tmp_us_natlas_cities_modis.shp
ogr2ogr -spat $w $s $e $n us_natlas_poppnt_modis.shp tmp_us_natlas_poppnt_modis.shp
ogr2ogr -spat $w $s $e $n us_natlas_roads_modis.shp tmp_us_natlas_roads_modis.shp
ogr2ogr -spat $w $s $e $n us_natlas_urban_modis.shp tmp_us_natlas_urban_modis.shp
ogr2ogr -spat $w $s $e $n us_natlas_hydrogl_modis.shp tmp_us_natlas_hydrogl.shp
ogr2ogr -spat $w $s $e $n us_natlas_hydrogp_modis.shp tmp_us_natlas_hydrogp.shp
